the line_interpolate_point function does not work with EPSG 4326
Description

| attach a shapefile linestring in EPSG 4326 and | ask you to do the
following test:

add a text field - long 80 - and populate it with the following
expression:

geom_to_wkt (line_interpolate_point ($ geometry, $ length / 2))

then exported to csv to verify the points.

result: point on the first vertex
expected result: central point along the line

In QGIS 2.18.23 LTR the field is filled out but the coordinates are of the first one
vertex and not the expected one of the centroid along the line;

In QGIS 3.2.2 the field is filled out but the coordinates are of the first one

vertex and not the expected one of the centroid along the line;

In QGIS 3.3 dev the field is NOT compiled, or rather the value is NULL

in all three versions the expression works well if used for
thematize with geometry generator

History

#1 - 2018-09-03 04:00 PM - Giovanni Manghi
- Category changed from Field calculator to Expressions

#2 - 2018-09-03 10:53 PM - Nyall Dawson
- Status changed from Open to Feedback

Try

line_interpolate_point ($ geometry, length($geometry) / 2)

$length converts to the project length setting, which is likely metres.

#3 - 2018-09-04 09:02 AM - salvatore fiandaca
Nyall Dawson wrote:
Try
line_interpolate_point ($ geometry, length($geometry) / 2)

$length converts to the project length setting, which is likely metres.

| did a test and your expression works.

PS: in QGIS 2.18.23 changing units of measure (project properties -> degree map unit) $ length respects the change; QGIS 3.2.2 and DEV do not respect
the change of units and the length is always in meters
#4 - 2018-09-04 09:35 AM - salvatore fiandaca
salvatore fiandaca wrote:
Nyall Dawson wrote:
Try
line_interpolate_point ($ geometry, length($geometry) / 2)
$length converts to the project length setting, which is likely metres.

| did a test and your expression works.

errata corrige: it is necessary to change both ellipsoid settings in 'none / planimetric' and units of distance measurement in 'degrees'

thank you

PS: in QGIS 2.18.23 changing units of measure (project properties -> degree map unit) $ length respects the change; QGIS 3.2.2 and DEV do not

respect the change of units and the length is always in meters

#5 - 2018-09-04 10:49 AM - Giovanni Manghi

PS: in QGIS 2.18.23 changing units of measure (project properties -> degree map unit) $ length respects the change; QGIS 3.2.2 and DEV do not

respect the change of units and the length is always in meters
filing a different ticket?
#6 - 2018-09-04 10:50 AM - Giovanni Manghi

errala corrige: it is necessary to change both ellipsoid settings in 'none / planimetric' and units of distance measurement in 'degrees’

thank you
s0... means this ticket can be closed?

#7 - 2018-09-04 12:46 PM - salvatore fiandaca

Giovanni Manghi wrote:

errata corrige: it is necessary to change both ellipsoid settings in ‘none / planimetric' and units of distance measurement in 'degrees’

thank you

so... means this ticket can be closed?

yes, it can be closed
thank you

#8 - 2018-09-04 12:49 PM - Nyall Dawson
- Resolution set to invalid

- Status changed from Feedback to Closed
